VimのDartプラグイン
タグ: vimdart / 初版公開: 2014-07-09

VimでDartを編集するためのプラグインとしてDart plugin for VIMがある。

Vundleを使っているなら以下を.vimrcに記述して、BundleInstallでインストールできる。

Bundle 'dart-lang/dart-vim-plugin'

ソースを見るとftdetectで*.dartなファイルを開いた時にFileTypeがdartになるコードが入っているのだが、手元の環境では何故かこれが有効にならなかった。

仕方ないので.vimrcに以下を記述してお茶を濁す。

" for dart
au BufNewFile,BufRead *.dart :set filetype=dart

このプラグインができることは実質シンタックスハイライトだけだが、無いよりマシ。